### Hierarchy

- IMinimatch

## Index

### Properties

- comment
- empty
- negate
- options
- pattern
- regexp
- set

### Methods

- braceExpand
- debug
- make
- makeRe
- match
- matchOne
- parse
- parseNegate

## Properties

### comment

comment: boolean

- Defined in node_modules/@types/minimatch/index.d.ts:152

True if the pattern is a comment.

### empty

empty: boolean

- Defined in node_modules/@types/minimatch/index.d.ts:157

True if the pattern is ""

### negate

negate: boolean

- Defined in node_modules/@types/minimatch/index.d.ts:147

True if the pattern is negated.

### options

options: IOptions

- Defined in node_modules/@types/minimatch/index.d.ts:131

The options supplied to the constructor.

### pattern

pattern: string

- Defined in node_modules/@types/minimatch/index.d.ts:126

The original pattern the minimatch object represents.

### regexp

regexp: RegExp

- Defined in node_modules/@types/minimatch/index.d.ts:142

A single regular expression expressing the entire pattern. Created by the makeRe method.

### set

set: any[][]

- Defined in node_modules/@types/minimatch/index.d.ts:136

A 2-dimensional array of regexp or string expressions.

## Methods

### Private braceExpand

- braceExpand(pattern: string, options: IOptions): void

- - Defined in node_modules/@types/minimatch/index.d.ts:203

  Deprecated. For internal use.

  #### Parameters

  - ##### pattern: string

  - ##### options: IOptions

  #### Returns void

### Private debug

- debug(): void

- - Defined in node_modules/@types/minimatch/index.d.ts:182

  Deprecated. For internal use.

  #### Returns void

### Private make

- make(): void

- - Defined in node_modules/@types/minimatch/index.d.ts:189

  Deprecated. For internal use.

  #### Returns void

### makeRe

- makeRe(): RegExp

- - Defined in node_modules/@types/minimatch/index.d.ts:163

  Generate the regexp member if necessary, and return it. Will return false if the pattern is invalid.

  #### Returns RegExp

### match

- match(fname: string): boolean

- - Defined in node_modules/@types/minimatch/index.d.ts:168

  Return true if the filename matches the pattern, or false otherwise.

  #### Parameters

  - ##### fname: string

  #### Returns boolean

### matchOne

- matchOne(files: string[], pattern: string[], partial: boolean): boolean

- - Defined in node_modules/@types/minimatch/index.d.ts:175

  Take a /-split filename, and match it against a single row in the regExpSet. This method is mainly for internal use, but is exposed so that it can be used by a glob-walker that needs to avoid excessive filesystem calls.

  #### Parameters

  - ##### files: string[]

  - ##### pattern: string[]

  - ##### partial: boolean

  #### Returns boolean

### Private parse

- parse(pattern: string, isSub?: undefined | false | true): void

- - Defined in node_modules/@types/minimatch/index.d.ts:210

  Deprecated. For internal use.

  #### Parameters

  - ##### pattern: string

  - ##### Optional isSub: undefined | false | true

  #### Returns void

### Private parseNegate

- parseNegate(): void

- - Defined in node_modules/@types/minimatch/index.d.ts:196

  Deprecated. For internal use.

  #### Returns void

Generated using TypeDoc